body {
    margin: 0;
    padding: 0;
}

h1 {
    text-align: center;
    font-size: 50px;
    font-family: "Times New Roman", Times, serif;
}

#target-types {
    position: relative;
    text-align: center;
    font-size: 30px;
    font-family: "Times New Roman", Times, serif;
    width: 100%;
    margin: 0 auto;
    height: 50vh;
    background-color: yellow;
}

.target-type {
    white-space: nowrap;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 16px;
    font-family: "Times New Roman", Times, serif;
    border-radius: 10px;
    background-color: rgba(255, 255, 0, 0.5);
    box-shadow: 0 0 10px 0 yellow;
    padding: 8px;
    z-index: 1;
    text-align: center;
}

.target-type.selected {
    animation-name: select;
    animation-duration: 0.3s;
    z-index: 2;
    background-color: white;
    display: inherit;
    font-size: 28px;
}
#target-mess {
    width: 320px;
    margin: 10px auto;
    font-size: 16px;
    font-family: "Times New Roman", Times, serif;
    border-radius: 10px;
    background-color: pink;
    box-shadow: 0 0 10px 0 pink;
    padding: 8px;
    animation-name: select-mess-open;
    animation-duration: 0.3s;
    white-space: normal;
    pointer-events: none;
}
@keyframes select {
    0% {
        background-color: rgba(255, 255, 0, 0.5);
        font-size: 16px;
    }
    50% {
        background-color: rgba(250, 250, 0, 1);
    }
    95% {
        font-size: 42px;
    }
    100% {
        background-color: white;
        font-size: 28px;
    }
}

@keyframes select-mess-open {
    0% {
        height: 0;
        font-size: 0;
        color: none;
        background-color: yellow;
        box-shadow: none;
    }
    50% {
        background-color: yellow;
        box-shadow: none;
    }
    70% {
        color: none;
    }
    90% {
        background-color: pink;
        box-shadow: 0 0 10px 0 pink
    }
    100% {
        height: auto;
        color: black;
        font-size: 16px;
    }
}



.novel {
    min-width: 200px;
    width: auto;
    max-width: 500px;
    margin: 0 auto;
    padding: 16px 0;
    font-size: 18px;
    font-family: "Times New Roman", Times, serif;
}

.boxback {
    width: 100%;
    margin: 0;
    padding: 0;
}